/**
 * Copyright (C) 2007 4D Soft Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * See the LICENSE file for the full license
 */

package hu.soft4d.minerva.uml.xmi;

import hu.soft4d.minerva.xmi.XmiUtil;
import hu.soft4d.util.StringUtil;
import xmitools.xmiparser.XmiNode;

/**
 * @author Zsolt Kiss Gere, 4D Soft Ltd.
 */
class UmlGuard extends XmiUmlNode
{
    String text = null;
    
    UmlGuard(XmiUmlModel model, XmiNode node)
    {
        super(model, node);
        
        if( node != null )
        {
            // Get the text: <specification body="the text" />
            XmiNode spec = node.getChildByTagName("specification");
            if( spec != null )
            {
                String body = XmiUtil.getAttribute(spec, "body");
                text = StringUtil.trimSpaces( body );
            }
        }
        if( text == null || text.equals("") )
            text = "true==true";
    }
    
    public String toString()
    {
        return text;
    }
}












