/**
 * Copyright (C) 2007 4D Soft Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * See the LICENSE file for the full license
 */

package hu.soft4d.minerva.uml.xmi;

import xmitools.xmiparser.XmiNode;

/**
 * The xmi:type for this node is "uml:Interface".
 * 
 * @author Zsolt Kiss Gere, 4D Soft Ltd.
 */
class UmlInterface extends XmiUmlNode
{
    XmiUmlOperation[] operations;
    
    UmlInterface(XmiUmlModel model, XmiNode node)
    {
        super(model, node);
    }
    
    UmlInterface(XmiUmlModel model, XmiNode node, XmiUmlOperation[] operations)
    {
        this(model, node);
        this.operations = operations;
    }

    public String toString()
    {
        StringBuffer sb = new StringBuffer( super.toString() );
        sb.append("\n");
        
        if( operations != null )
            for (int i = 0; i < operations.length; i++) 
            {
                sb.append("\t" + operations[i] + "\n");
            }
        
        return sb.toString();
    }
}
