/**
 * Copyright (C) 2007 4D Soft Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * See the LICENSE file for the full license
 */

package hu.soft4d.minerva.uml.xmi;

import hu.soft4d.minerva.xmi.XmiUtil;
import xmitools.xmiparser.XmiNode;

/**
 *  ownedMember | ownedTrigger xmi:type="uml:CallTrigger"
 * 
 * @author Zsolt Kiss Gere, 4D Soft Ltd.
 */
class XmiUmlCallTrigger extends XmiUmlNode
{
    String operationId;
    
    XmiUmlCallTrigger(XmiUmlModel model, XmiNode node)
    {
        super(model, node);
        operationId = XmiUtil.getAttribute(node, "operation");
    }
    
    XmiUmlOperation getOperation()
    {
        if( operationId == null || operationId.equals("") )  return null;
        
        else 
            return (XmiUmlOperation) model.nodes.get( operationId );
    }

    public String toString()
    {
        XmiUmlOperation op = getOperation();
        
        if( op != null )  return "\t" + op;
        
        else  return "";
    }
}
