/**
 * Copyright (C) 2007 4D Soft Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * See the LICENSE file for the full license
 */

package hu.soft4d.minerva.uml.xmi;

import hu.soft4d.minerva.wsdl.Constants;
import xmitools.xmiparser.XmiNode;

/**
 *  This class is defined in XMI as &lt;uml:Model | ownedMember | region | subvertex 
 *  xmi:type="uml:State"
 * 
 * @author Zsolt Kiss Gere, 4D Soft Ltd.
 */
class XmiUmlState extends XmiUmlNode
{
    enum StateKind {PseudoState, NormalState};
    StateKind kind;
    
    XmiUmlState(XmiUmlModel model, XmiNode node)
    {
        super(model, node);
        this.kind = StateKind.NormalState;
    }

    XmiUmlState(XmiUmlModel model, XmiNode node, StateKind kind)
    {
        super(model, node);
        this.kind = kind;
    }

    public String toString()
    {
        String myname = name();
        
        if( myname.equals("") )
            myname = "EMPTY";
        
        String mykind = "";
        if( kind == StateKind.PseudoState )
            mykind = " (pseudo-state)";
        
        return "\t" + myname + mykind;
    }

    boolean isInitialState() throws Exception
    {
        String initial = getOptionalTag(Constants.STEREOTYPE_STATE, "initialState");
        if( initial != null && initial.equals("true") )
            return true;
        else
            return false;
    }
}
























