package hu.soft4d.minerva.wsdl;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import javax.wsdl.Operation;
import javax.wsdl.PortType;
import javax.xml.namespace.QName;

import org.apache.axis.wsdl.symbolTable.SymbolTable;

/**
 * Class representing a WSDL portType. 
 * 
 * @author Zsolt Kiss-Gere, 4DSoft Ltd.
 */
public class JInterface
{
    private SymbolTable symTable;
    private PortType portType;
    private List<JOperation> operations;
    
    public JInterface( PortType portType, SymbolTable symTable )
    {
        this.portType = portType;
        this.symTable = symTable;
    }
    
    public JOperation getOperation( String name ) throws Exception
    {
        for( JOperation op: getOperations() )
        {
            if( op.getName().equals(name) )
                return op;
        }
        
        throw new Exception("Operation '" + name + "' not found in port type " + getQName());
    }

    public List<JOperation> getOperations()
    {
        if( operations == null )
        {
            operations = new ArrayList<JOperation>();
            
            List ops = portType.getOperations();
            for( Object op_: ops )
                operations.add(new JOperation((Operation) op_, symTable));
        }
        return operations;
    }
    
    public QName getQName()
    {
        return portType.getQName();
    }
    
    public String getLocalName()
    {
        return portType.getQName().getLocalPart();
    }
}
