package hu.soft4d.minerva.wsdl;

import javax.xml.namespace.QName;

/**
 * Class representing a WSDL message parameter.  
 * 
 * @author Zsolt Kiss-Gere, 4DSoft Ltd.
 */
public class JParameter
{
    private String name;
    private QName typeName;
    
    public JParameter( String name, QName typeName )
    {
        this.name = name;
        this.typeName = typeName;
    }
    
    public String getName()
    {
        return name;
    }
    
    public String getTypeName()
    {
        if( typeName == null )
            return "(NULL)";
        else
            return typeName.getLocalPart();
    }
    
    public String getTypeURI()
    {
        if( typeName == null )
            return "(NULL)";
        else
            return typeName.getNamespaceURI();
    }

    public QName getTypeQName()
    {
        return typeName;
    }
}
