package hu.soft4d.minerva.wsdl;

import javax.wsdl.Binding;
import javax.wsdl.Port;

import org.apache.axis.wsdl.symbolTable.BindingEntry;
import org.apache.axis.wsdl.symbolTable.SymbolTable;

/**
 * Class representing a WSDL port.  
 * 
 * @author Zsolt Kiss-Gere, 4DSoft Ltd.
 */
public class JPort
{
    private JService service;
    private Port port;
    
    public JPort( JService service, Port port )
    {
        this.service = service;
        this.port = port;
    }

	public String getName() 
	{
		return port.getName();
	}

    public JPortBinding getBinding()
    {
        Binding binding = port.getBinding();
        SymbolTable symTable = service.getSymbolTable();
        BindingEntry bindingEntry = symTable.getBindingEntry( binding.getQName() );
        return new JPortBinding( bindingEntry, service.getSymbolTable() );
    }
    
}
