package hu.soft4d.minerva.wsdl;

import javax.wsdl.Binding;
import javax.wsdl.Operation;

import org.apache.axis.constants.Style;
import org.apache.axis.constants.Use;
import org.apache.axis.wsdl.symbolTable.BindingEntry;
import org.apache.axis.wsdl.symbolTable.SymbolTable;

/**
 * Class representing a WSDL port binding. Includes also information not found 
 * in the WSDL4J Binding object.  
 * 
 * @author Zsolt Kiss-Gere, 4DSoft Ltd.
 */
public class JPortBinding
{
    private SymbolTable symTable;
    private BindingEntry bindingEntry;
    
    public JPortBinding( BindingEntry bindingEntry, SymbolTable table )
    {
        this.bindingEntry = bindingEntry;
        this.symTable = table;
    }

    public JInterface getInterface()
    {
        return new JInterface( bindingEntry.getBinding().getPortType(), symTable );
    }

    public Style getBindingStyle()
    {
        return bindingEntry.getBindingStyle();
    }

    public Use getInputUse( JOperation oper )
    {
        return bindingEntry.getInputBodyType( oper.getOperation() );
    }

    public Use getOutputUse( JOperation oper )
    {
        return bindingEntry.getOutputBodyType( oper.getOperation() );
    }

    public boolean isSOAPBinding()
    {
        return bindingEntry.getBindingType() == BindingEntry.TYPE_SOAP;
    }
}
