package hu.soft4d.minerva.wsdl;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

import javax.wsdl.Port;
import javax.wsdl.Service;
import javax.xml.namespace.QName;

import org.apache.axis.wsdl.symbolTable.SymbolTable;

/**
 * Class representing a WSDL service.   
 * 
 * @author Zsolt Kiss-Gere, 4DSoft Ltd.
 */
public class JService
{
    private WSDLModel wsdl;
    private Service service;
    
    public JService( WSDLModel wsdl, Service service )
    {
        this.wsdl = wsdl;
        this.service = service;
    }
    
    SymbolTable getSymbolTable()
    {
        return wsdl.getSymbolTable();
    }
    
    public QName getQName()
    {
        return service.getQName();
    }
    
    public JPort getPort(String portName) throws Exception
    {
        Port port = service.getPort(portName);
        if( port == null )
            throw new Exception("Port '" + portName + "' not found for service " + getQName());
        
        return new JPort(this, port);
    }
    
    public Map<String, JPort> getPorts()
    {
        Map ports = service.getPorts();
        Map<String, JPort> jports = new HashMap<String, JPort>();
        
        for (Iterator iter = ports.keySet().iterator(); iter.hasNext();) {
            String name = (String) iter.next();
            Port port = (Port) ports.get( name );
            jports.put(name, new JPort(this, port));
        }
        return jports;
    }
}













