/**
 * Copyright (C) 2007 4D Soft Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * See the LICENSE file for the full license
 */

package hu.soft4d.minerva.wsdl.ssm;

import org.jdom.Element;

/**
 * Entity class representing a location variable entry in an SSM Schema definition XML stream.
 * <p> The <code>parent</code> is the "var" Jdom element, needed for namespace issues.
 * 
 * @author Zsolt Kiss Gere, 4D Soft Ltd.
 */
public class LocationVarEntry
{
    Element parent;
    String name;
    String type;
    
    public LocationVarEntry(Element parent, String name, String type)
    {
        this.parent = parent;
        this.name = name;
        this.type = type;
    }
}
