/**
 * Copyright (C) 2007 4D Soft Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * See the LICENSE file for the full license
 */

package hu.soft4d.minerva.wsdl.ssm;

/**
 * Entity class representing a switch entry in an SSM Schema definition XML stream.
 * <p> The service name is added for convenience.
 * 
 * @author Zsolt Kiss Gere, 4D Soft Ltd.
 */
public class SwitchEntry
{
    // serviceName is used in the key expression, when the interaction variable is 
    // stored in a map (SSMHandler)
    String serviceName;
    String startLocation;
    String targetLocation; 
    String operationName;
    String kind;
    String restriction;
    String updateMapping;
    
    public SwitchEntry( String serviceName, String startLocation, String targetLocation, 
                        String operationName, String kind,  
                        String restriction, String updateMapping)
    {
        // Do checks here: start- and targetLocation to be numbers, etc.
        this.serviceName = serviceName;
        this.startLocation = startLocation;
        this.targetLocation = targetLocation;
        this.operationName = operationName;
        this.kind = kind;
        this.restriction = restriction;
        this.updateMapping = updateMapping;
    }
    
}
