/**
 * Copyright (C) 2007 4D Soft Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * See the LICENSE file for the full license
 */

package hu.soft4d.minerva.xmi;

import hu.soft4d.minerva.uml.xmi.XmiUmlModel;


/**
 * @author Zsolt Kiss Gere, 4D Soft Ltd.
 */
public class XMIHandler
{
    public static void main( String[] args )
    {
        if (args.length < 1)
        {
            printHelp();
            return;
        }
        String modelFileName = args[0];
        try
        {
            XmiUmlModel model = new XmiUmlModel( modelFileName );
            
            model.dump( System.out );
        }
        catch (Exception e) {
            e.printStackTrace(System.err);
        }
    }


    private static void printHelp()
    {
        System.err.println("java hu.soft4d.minerva.xmi.XMIHandler Model.xmi[.uml2]");
    }
}
