/**
 * Copyright (C) 2007 4D Soft Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * See the LICENSE file for the full license
 */

package hu.soft4d.util;

import java.io.PrintStream;
import java.util.List;
import java.util.Map;

import stsimulator.sts.Switch;

/**
 * @author Zsolt Kiss Gere, 4D Soft Ltd.
 */
public class CollectionUtil
{
    public static void dumpMap(PrintStream out, String title, Map map)
    {
        out.println( "\n" + title );
        out.println("====================");
        
        for( Object key: map.keySet() )
        {
            out.println( key + ": " + map.get(key).toString() );
        }
        
//        for( Object node: map.values() )
//        {
//            out.println( node.toString() );
//        }
    }

    public static void dumpSwitches(PrintStream out, String title, List<Switch> switchList)
    {
        out.println( "\n" + title );
        out.println("====================");
        
        for( Switch sw: switchList )
        {
            out.println( sw );
        }
    }
}
