/**
 * Copyright (C) 2007 4D Soft Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * See the LICENSE file for the full license
 */

package hu.soft4d.util;

import java.util.Iterator;
import java.util.List;

import org.jdom.Element;

/**
 * @author Zsolt Kiss Gere, 4D Soft Ltd.
 */
public class JDomHelper
{
    /**
     * Get the first child of <code>element</code> with the name <code>childName</code>,
     * or raises an Exception if not found.  
     */
    public static Element getChild(Element element, String childName) throws Exception
    {
        // Element tag = element.getChild(childName);  // DOES NOT WORK!!?
        List children = element.getChildren();
        for (Iterator iter = children.iterator(); iter.hasNext();) 
        {
            Element child = (Element) iter.next();
            if( child.getName().equals(childName) )
                return child;
        }
        
        throw new Exception("Child element '" + childName + "' not found for " + element.getName());
    }

}
