/**
 * Copyright (C) 2007 4D Soft Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * See the LICENSE file for the full license
 */

package hu.soft4d.util;

/**
 * Static sequence which gives increasing natural numbers as strings.
 * 
 * @author Zsolt Kiss Gere, 4D Soft Ltd.
 */
public class Sequence
{
    private static int strCounter = 0;
    
    public synchronized static void reset()
    {
        strCounter = 0;
    }
    
    public synchronized static String nextStringValue()
    {
        return Integer.toString( strCounter++ );
    }
    
}
