/**
 * Copyright (C) 2007 4D Soft Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * See the LICENSE file for the full license
 */

package hu.soft4d.util;

/**
 * @author Zsolt Kiss Gere, 4D Soft Ltd.
 */
public class StringUtil
{
    public static String trimSpaces( String body )
    {
        if( body == null )  return null;
        
        String s = body.trim();
        s = s.replaceAll("[\\r\\n]", " ");
        
        // Trim >= 2 spaces to 1 space
        while( s.indexOf("  ") != -1 )
            s = s.replaceAll("  ", " ");
        
        return s;
    }
    
    /**
     * Replaces in <i>str</i> all occurences of the whole word <i>target</i> with <i>replacement</i>
     * and returns the result. <i>str</i> is left unchanged. 
     */
    public static String replaceWord(String str, String target, String replacement)
    {
        // \b: word boundary
        String re = "(^|\\b)" + target + "(\\b|$)";
        
        String ss = str.replaceAll( re, "$1" + replacement + "$2" );

        return ss;
    }
    
    public static String arrayToString(StringBuffer sb, Object[] arr)
    {
        if( arr == null )
            sb.append("\t\t(null)\n\n");
        else
            for (int i = 0; i < arr.length; i++) 
                sb.append("\t" + arr[i] + "\n\n");
        
        return sb.toString();
    }
    
    public static void main(String[] args)
    {
        //replaceWord("ref1==1 && A.ref<=2 B aref, C;ref refD ErefG ref2", "ref", "mop");
        
        String s = trimSpaces("alma  bela   cecil dumm     khmmm ");
        System.out.println( s );
    }
}












